CylinderGraphics - Cesium Documentation

# CylinderGraphics

#### new CylinderGraphics(options)

  Describes a cylinder, truncated cone, or cone defined by a length, top radius, and bottom radius. The center position and orientation are determined by the containing `Entity`.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  optional Object with the following properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `length` | Property |  | optional A numeric Property specifying the length of the cylinder.
  `topRadius` | Property |  | optional A numeric Property specifying the radius of the top of the cylinder.
  `bottomRadius` | Property |  | optional A numeric Property specifying the radius of the bottom of the cylinder.
  `show` | Property | `true` | optional A boolean Property specifying the visibility of the cylinder.
  `fill` | Property | `true` | optional A boolean Property specifying whether the cylinder is filled with the provided material.
  `material` | MaterialProperty | `Color.WHITE` | optional A Property specifying the material used to fill the cylinder.
  `outline` | Property | `false` | optional A boolean Property specifying whether the cylinder is outlined.
  `outlineColor` | Property | `Color.BLACK` | optional A Property specifying the `Color` of the outline.
  `outlineWidth` | Property | `1.0` | optional A numeric Property specifying the width of the outline.
  `numberOfVerticalLines` | Property | `16` | optional A numeric Property specifying the number of vertical lines to draw along the perimeter for the outline.
  `slices` | Property | `128` | optional The number of edges around perimeter of the cylinder.

  ##### Demo:

  - Cesium Sandcastle Cylinder Demo
  Source: DataSources/CylinderGraphics.js, line 42

### Members

#### bottomRadius :Property

  Gets or sets the numeric Property specifying the radius of the bottom of the cylinder.
  Source: DataSources/CylinderGraphics.js, line 102

#### readonlydefinitionChanged :Event

  Gets the event that is raised whenever a property or sub-property is changed or modified.
  Source: DataSources/CylinderGraphics.js, line 77

#### fill :Property

  Gets or sets the boolean Property specifying whether the cylinder is filled with the provided material.
  Default Value: `true`
  Source: DataSources/CylinderGraphics.js, line 144

#### length :Property

  Gets or sets the numeric Property specifying the length of the cylinder.
  Source: DataSources/CylinderGraphics.js, line 88

#### material :MaterialProperty

  Gets or sets the Property specifying the material used to fill the cylinder.
  Default Value: `Color.WHITE`
  Source: DataSources/CylinderGraphics.js, line 136

#### numberOfVerticalLines :Property

  Gets or sets the Property specifying the number of vertical lines to draw along the perimeter for the outline. to use when outlining the cylinder.
  Default Value: `16`
  Source: DataSources/CylinderGraphics.js, line 111

#### outline :Property

  Gets or sets the boolean Property specifying whether the cylinder is outlined.
  Default Value: `false`
  Source: DataSources/CylinderGraphics.js, line 152

#### outlineColor :Property

  Gets or sets the Property specifying the `Color` of the outline.
  Default Value: `Color.BLACK`
  Source: DataSources/CylinderGraphics.js, line 160

#### outlineWidth :Property

  Gets or sets the numeric Property specifying the width of the outline.
  Default Value: `1.0`
  Source: DataSources/CylinderGraphics.js, line 168

#### show :Property

  Gets or sets the boolean Property specifying the visibility of the cylinder.
  Default Value: `true`
  Source: DataSources/CylinderGraphics.js, line 128

#### slices :Property

  Gets or sets the Property specifying the number of edges around perimeter of the cylinder. between each latitude and longitude point.
  Default Value: `16`
  Source: DataSources/CylinderGraphics.js, line 120

#### topRadius :Property

  Gets or sets the numeric Property specifying the radius of the top of the cylinder.
  Source: DataSources/CylinderGraphics.js, line 95

### Methods

#### clone(result) → CylinderGraphics

  Duplicates this instance.

  Name | Type | Description
  --- | --- | ---
  `result` | CylinderGraphics | optional The object onto which to store the result.

  ##### Returns:

  The modified result parameter or a new instance if one was not provided.
  Source: DataSources/CylinderGraphics.js, line 177

#### merge(source)

  Assigns each unassigned property on this object to the value of the same property on the provided source object.

  Name | Type | Description
  --- | --- | ---
  `source` | CylinderGraphics | The object to be merged into this object.

  Source: DataSources/CylinderGraphics.js, line 201